package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * 安全分级类型对象 lab_safe_classtype
 *
 * @author zd
 * @date 2021-12-18
 */
@ApiModel("安全分级类型")
public class LabSafeClasstype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 安全类别名称 */
    @Excel(name = "安全类别名称")
    @Length(message = "安全类别名称长度不能超过$column.length")
    @ApiModelProperty(value = "安全类别名称")
    private String typeName;
    /** 制度设置 */
    @Excel(name = "制度设置")
    @Length(message = "制度设置长度不能超过$column.length")
    @ApiModelProperty(value = "制度设置")
    private String systemSetting;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过$column.length")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /** 创建人（用于数据权限） */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getTypeName()
    {
        return typeName;
    }
    public void setSystemSetting(String systemSetting)
    {
        this.systemSetting = systemSetting;
    }

    public String getSystemSetting()
    {
        return systemSetting;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("typeName", getTypeName())
            .append("systemSetting", getSystemSetting())
            .append("deptName", getDeptName())
            .append("deptId", getDeptId())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
